[neon/infrastructure/pangea-data] imager/config-hooks-neon: provide a neon.list & a neon.source for the moment

Carlos De Maine null at kde.org
Fri Aug 16 04:35:29 BST 2024


Git commit bd1a8a12b8315449bb6a46a42055f7689d38ff4c by Carlos De Maine.
Committed on 16/08/2024 at 03:35.
Pushed by carlosdem into branch 'master'.

provide a neon.list & a neon.source for the moment

M  +15   -6    imager/config-hooks-neon/repo.sh

https://invent.kde.org/neon/infrastructure/pangea-data/-/commit/bd1a8a12b8315449bb6a46a42055f7689d38ff4c

diff --git a/imager/config-hooks-neon/repo.sh b/imager/config-hooks-neon/repo.sh
index 02fa7d0..e4e92c8 100644
--- a/imager/config-hooks-neon/repo.sh
+++ b/imager/config-hooks-neon/repo.sh
@@ -27,17 +27,24 @@ else
   # use this hack until new neon-keyring is in the wild, then we can use cp down below
   mkdir -p /etc/apt/keyring
   curl -s --compressed "https://invent.kde.org/neon/neon/keyring/-/raw/work/overhaul/keyrings/neon-archive-keyring.gpg?ref_type=heads&inline=false" |  tee /etc/apt/keyring/neon-archive-keyring-web.gpg >/dev/null
-  gpg --no-default-keyring --export-options export-minimal --keyring /etc/apt/keyring/neon-archive-keyring-web.gpg --output /etc/apt//keyring/neon-archive-keyring.gpg --export 444DABCF3667D0283F894EDDE6D4736255751E5D
+  gpg --no-default-keyring --export-options export-minimal --keyring /etc/apt/keyring/neon-archive-keyring-web.gpg --output /etc/apt/keyring/neon-archive-keyring.gpg --export 444DABCF3667D0283F894EDDE6D4736255751E5D
   gpg --export --keyring /etc/apt/keyring/neon-archive-keyring.gpg --export-options export-minimal --armor > /etc/apt/keyring/neon-archive-keyring.asc
 
   # cp our non-armoured (binary) public key to where it needs to be
-  cp /etc/apt/keyring/ config/archives/
+  cp /etc/apt/keyring/* config/archives/
 
   # make sure _apt can read this file. it may get copied into the chroot
-  chmod 644 config/archives/ubuntu-defaults.key || true<
+  chmod 644 config/archives/neon-archive-keyring.asc || true<
+  chmod 644 config/archives/neon-archive-keyring.key || true<
 
-  # add a nice depreciation message
-  echo "# KDE neon sources have moved to /etc/apt/sources.list.d/neon.sources" >> config/archives/neon.list
+  # use a signed neon.list until we work out how to enable neon.sources in livecd-rootfs
+  cat <<EOF >config/archives/neon.list
+deb [signed-by=/etc/apt/keyring/neon-archive-keyring.asc] http://archive.neon.kde.org/${NEONARCHIVE} $SUITE main
+deb-src [signed-by=/etc/apt/keyring/neon-archive-keyring.asc] http://archive.neon.kde.org/${NEONARCHIVE} $SUITE main
+EOF
+
+  # add a nice depreciation message when we actually have depreciated the above hack
+  #echo "# KDE neon sources have moved to /etc/apt/sources.list.d/neon.sources" >> config/archives/neon.list
 
   # add or spiffy new deb822 .sources config
   cat > config/archives/neon.sources << EOF
@@ -50,7 +57,9 @@ Architectures: $ARCH
 Signed-By: /etc/apt/keyring/neon-archive-keyring-pubkey.asc
 EOF
 
-  # check our config worked
+  # check our stuffs are in the right place
+  ls -lshR config/archives/
+  cat config/archives/neon.list
   cat config/archives/neon.sources
 
 fi


More information about the Neon-commits mailing list